LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-10-2006, 04:08 PM   #16
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15

I configured it as root, still got the same error. It does it with other tarballs as well. Any other suggestions?

Thanks for all the help with this guys, I really appreciate it.

Last edited by BigFoot13; 10-10-2006 at 04:10 PM.
 
Old 10-19-2006, 09:56 PM   #17
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
I tried again, this time with a different result:
Code:
checking for X... no
configure: error: *** X headers and libraries not found ***
 
Old 10-19-2006, 11:42 PM   #18
Nylex
LQ Addict
 
Registered: Jul 2003
Location: London, UK
Distribution: Slackware
Posts: 7,464

Rep: Reputation: Disabled
Install the X development package for your distro.
 
Old 10-20-2006, 04:03 PM   #19
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
OK, I did that, and now it gets past this phase, but now I get this:
Code:
checking for X11/extensions/Xvlib.h... no
configure: error: ERROR: ***** X11 header (Xvlib.h) not found ******
 
Old 11-04-2006, 03:20 AM   #20
Nylex
LQ Addict
 
Registered: Jul 2003
Location: London, UK
Distribution: Slackware
Posts: 7,464

Rep: Reputation: Disabled
Is there a package with "xvdev" in the name that you can install?
 
Old 11-04-2006, 03:39 AM   #21
lorebett
Member
 
Registered: May 2004
Location: Italy
Distribution: Ubuntu, Gentoo
Posts: 57

Rep: Reputation: 16
Quote:
Originally Posted by BigFoot13
OK, I did that, and now it gets past this phase, but now I get this:
Code:
checking for X11/extensions/Xvlib.h... no
configure: error: ERROR: ***** X11 header (Xvlib.h) not found ******
probably this header is not in the standard X dev package, but in an extended one... by googling this header name, this rpm package came up xorg-x11-libXv-devel, for instance...
 
Old 11-05-2006, 11:56 AM   #22
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by Nylex
Is there a package with "xvdev" in the name that you can install?
I installed libxv-dev. I will try again
 
Old 11-12-2006, 08:48 PM   #23
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
OK, now I have a different error:
Code:
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
I read that I need C++ installed, but I have the latest of "cpp" and "gcc" (4.1). What do I do?
 
Old 11-13-2006, 04:03 AM   #24
lorebett
Member
 
Registered: May 2004
Location: Italy
Distribution: Ubuntu, Gentoo
Posts: 57

Rep: Reputation: 16
Quote:
Originally Posted by BigFoot13
OK, now I have a different error:
Code:
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
I read that I need C++ installed, but I have the latest of "cpp" and "gcc" (4.1). What do I do?
probably in your distribution the C++ compiler is not part of the gcc package and you need to install also the g++ package?

if you run g++ --version from the command line do you get an error?
 
Old 11-13-2006, 02:57 PM   #25
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
The terminal says I have version 2.24 of gpp. But Adept says I have version 4.1 installed. ???
 
Old 11-13-2006, 03:03 PM   #26
lorebett
Member
 
Registered: May 2004
Location: Italy
Distribution: Ubuntu, Gentoo
Posts: 57

Rep: Reputation: 16
Quote:
Originally Posted by BigFoot13
The terminal says I have version 2.24 of gpp. But Adept says I have version 4.1 installed. ???
gpp? I don't think it's the same of g++. the C++ compiler version and the C compiler version must be the same...
 
Old 11-13-2006, 03:13 PM   #27
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Arch/XFCE
Posts: 17,802

Rep: Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738
Quote:
Originally Posted by BigFoot13
The terminal says I have version 2.24 of gpp. But Adept says I have version 4.1 installed. ???
What's gpp?

on my Fedora RHEL4, gcc is version 3.4.6---It seems that v 2.24 might be pretty obsolete. (g++ --version gives the same answer)

Double check the Adept window to be sure that v. 4.1 is not listed in the available column.

My Kubuntu install has BOTH 3.3.6 and 4.1.1 (Adept could not seem to even find gcc--so I used Synaptic)

By the way, I am having a very bad first impression of Adept. I think Synaptic is much better.
 
Old 11-13-2006, 03:21 PM   #28
lorebett
Member
 
Registered: May 2004
Location: Italy
Distribution: Ubuntu, Gentoo
Posts: 57

Rep: Reputation: 16
Quote:
Originally Posted by pixellany
By the way, I am having a very bad first impression of Adept. I think Synaptic is much better.
You bet!
 
Old 11-13-2006, 03:29 PM   #29
BigFoot13
Member
 
Registered: Sep 2006
Location: ~/
Distribution: Kubuntu 8.04 Hardy
Posts: 115

Original Poster
Rep: Reputation: 15
Sorry, I thought you meant gpp. I installed g++ (it wasn't installed) and the configgure went OK , now on the make part.
Code:
mattmodica@Stargate:~/kpacman-0.3.2$ make
make  all-recursive
make[1]: Entering directory `/home/mattmodica/kpacman-0.3.2'
Making all in kpacman
make[2]: Entering directory `/home/mattmodica/kpacman-0.3.2/kpacman'
if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde -I/usr/share/qt3/include
-I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long -Wund
ef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi
 -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions
 -fno-check-new  -MT kpacmanview.o -MD -MP -MF ".deps/kpacmanview.Tpo" \
          -c -o kpacmanview.o `test -f 'kpacmanview.cpp' || echo './'`kpacmanvie
w.cpp; \
        then mv ".deps/kpacmanview.Tpo" ".deps/kpacmanview.Po"; \
        else rm -f ".deps/kpacmanview.Tpo"; exit 1; \
        fi
cc1plus: warning: command line option "-Wmissing-prototypes" is valid for Ada/C/
ObjC but not for C++
In file included from score.h:18,
                 from kpacmanview.h:30,
                 from kpacmanview.cpp:27:
painter.h:11:19: error: qlist.h: No such file or directory
In file included from painter.h:15,
                 from score.h:18,
                 from kpacmanview.h:30,
                 from kpacmanview.cpp:27:
board.h:4:20: error: qarray.h: No such file or directory
In file included from kpacmanview.h:31,
                 from kpacmanview.cpp:27:
referee.h:13:22: error: qbitarry.h: No such file or directory
referee.h:93: error: field ‘gameState’ has incomplete type
make[2]: *** [kpacmanview.o] Error 1
make[2]: Leaving directory `/home/mattmodica/kpacman-0.3.2/kpacman'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/mattmodica/kpacman-0.3.2'
make: *** [all] Error 2
mattmodica@Stargate:~/kpacman-0.3.2$ su -c 'make install'
Password:
su: Authentication failure
Sorry.
I am getting errors durring the make part, and when I go onto the last step, I get "authentication failure".
 
Old 11-13-2006, 03:35 PM   #30
lorebett
Member
 
Registered: May 2004
Location: Italy
Distribution: Ubuntu, Gentoo
Posts: 57

Rep: Reputation: 16
it looks like the problem is the missing qlist.h file, which, as far as I know, it's part of the Qt library... did you install the development package of Qt?

However, configure should report an error about missing Qt...
 
  


Reply

Tags
targz


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing an RPM or Tar.GZ package on CDROM in Command Line. mr.linux.noob Linux - General 10 10-28-2008 02:04 AM
Launching apps from the command line fieldyweb Linux - Newbie 5 01-14-2006 11:42 AM
I need to know the command on how to install tar.bin file lakbay_taodev Linux - Software 9 10-19-2004 07:46 PM
Easiest way to install .TAR Apps?? rab62184 Linux - Newbie 3 11-19-2003 02:17 AM
Command Line able to use GUI apps? shlok Linux - Newbie 5 06-28-2003 02:09 PM


All times are GMT -5. The time now is 11:44 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration